FUNCTION::USER_STRIN(3stap)

NAME
function::user_string_n - Retrieves string of given length from user space

SYNOPSIS

1) user_string_n:string(addr:long,n:long)

2) user_string_n:string(addr:long,n:long,err_msg:string)

ARGUMENTS

addr
    the user space address to retrieve the string from

n
    the maximum length of the string (if not null terminated)

err_msg
    the error message to return when data isn't available

DESCRIPTION

1) Returns the C string of a maximum given length from a given user space address. Reports an error on the rare cases when userspace data is not accessible at the given address.

2) Returns the C string of a maximum given length from a given user space address. Returns the given error message string on the rare cases when userspace data is not accessible at the given address.

SEE ALSO
tapset::uconversions(3stap)

SEE ALSO
tapset::uconversions(3stap)